PipeWire 1.2.6

Loading...
Searching...
No Matches
Macros | Variables
param-types.h File Reference
SPA » Parameters

`spa/param/param-types.h` More...

Go to the source code of this file.

## Macros
#define | SPA_TYPE_INFO_ParamId SPA_TYPE_INFO_ENUM_BASE "ParamId"
#define | SPA_TYPE_INFO_PARAM_ID_BASE SPA_TYPE_INFO_ParamId ":"
#define | SPA_TYPE_INFO_Param SPA_TYPE_INFO_OBJECT_BASE "Param"
#define | SPA_TYPE_INFO_PARAM_BASE SPA_TYPE_INFO_Param ":"
#define | SPA_TYPE_INFO_ParamBitorder SPA_TYPE_INFO_ENUM_BASE "ParamBitorder"
#define | SPA_TYPE_INFO_PARAM_BITORDER_BASE SPA_TYPE_INFO_ParamBitorder ":"
#define | SPA_TYPE_INFO_ParamAvailability SPA_TYPE_INFO_ENUM_BASE "ParamAvailability"
#define | SPA_TYPE_INFO_PARAM_AVAILABILITY_BASE SPA_TYPE_INFO_ParamAvailability ":"

## Variables
static const struct spa_type_info | spa_type_param []
static const struct spa_type_info | spa_type_prop_float_array []
static const struct spa_type_info | spa_type_prop_channel_map []
static const struct spa_type_info | spa_type_prop_iec958_codec []
static const struct spa_type_info | spa_type_param_bitorder []
static const struct spa_type_info | spa_type_param_availability []

## Detailed Description

`spa/param/param-types.h`